GetParamsDynamicProperty (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.metaclass

## [Java] Class GetParamsDynamicProperty

- org.codehaus.groovy.grails.web.metaclass.GetParamsDynamicProperty

- A dynamic property that adds a "params" map to a controller for accessing request and controller parameters.

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `PROPERTY_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractDynamicControllerProperty` | `request, response`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GetParamsDynamicProperty (javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addParam(java.lang.String paramName, java.lang.Object paramValue)`
    `void` | `addParams(java.util.Map params)`
    `java.lang.Object` | `get(java.lang.Object object)`
    `void` | `set(java.lang.Object object, java.lang.Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDynamicProperty` | `get, getPropertyName, isPropertyMatch, set`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String PROPERTY_NAME

  - ### Constructor Detail

    - #### public GetParamsDynamicProperty(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

  - ### Method Detail

    - #### public void addParam(java.lang.String paramName, java.lang.Object paramValue)

    - #### @java.lang.SuppressWarnings("rawtypes") public void addParams(java.util.Map params)

    - #### @java.lang.Override public java.lang.Object get(java.lang.Object object)

    - #### @java.lang.Override public void set(java.lang.Object object, java.lang.Object newValue)